Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XMLSlideShow

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.POIXMLDocument
              org.apache.poi.xslf.usermodel.XMLSlideShow

    public class XMLSlideShow

extends POIXMLDocument

High level representation of a ooxml slideshow. This is the first object most users will construct whether they are reading or writing a slideshow. It is also the top level object for creating new slides/etc.

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocument
`DOCUMENT_CREATOR, OLE_OBJECT_REL_TYPE, PACK_OBJECT_REL_TYPE`

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XMLSlideShow()`
`XMLSlideShow(java.io.InputStream is)`
`XMLSlideShow(OPCPackage pkg)`

Method Summary
`XSLFSlideShow` | `_getXSLFSlideShow()`
`int` | `addPicture(byte[] pictureData, int format)` Adds a picture to the workbook.
`XSLFSlide` | `createSlide()` Create a blank slide.
`XSLFSlide` | `createSlide(XSLFSlideLayout layout)` Create a slide and initialize it from the specified layout.
`java.util.List` | `getAllEmbedds()` Get the document's embedded files.
`java.util.List` | `getAllPictures()` Returns all Pictures, which are referenced from the document itself.
`XSLFCommentAuthors` | `getCommentAuthors()` Returns the list of comment authors, if there is one.
`org.openxmlformats.schemas.presentationml.x2006.main.CTPresentation` | `getCTPresentation()`
`XSLFNotesMaster` | `getNotesMaster()` Return the Notes Master, if there is one.
`java.awt.Dimension` | `getPageSize()` Returns the current page size
`XSLFSlideMaster[]` | `getSlideMasters()`
`XSLFSlide[]` | `getSlides()` Return all the slides in the slideshow
`XSLFTableStyles` | `getTableStyles()`
`XSLFSlide` | `removeSlide(int index)`
`void` | `setPageSize(java.awt.Dimension pgSize)` Sets the page size to the given `Dimension` object.
`void` | `setSlideOrder(XSLFSlide slide, int newIndex)`

Methods inherited from class org.apache.poi.POIXMLDocument
`getPackage, getProperties, hasOOXMLHeader, openPackage, write`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSlideShow

    public XMLSlideShow()

### XMLSlideShow

    public XMLSlideShow(OPCPackage pkg)

### XMLSlideShow

    public XMLSlideShow(java.io.InputStream is)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### _getXSLFSlideShow

    public XSLFSlideShow _getXSLFSlideShow()
                                    throws OpenXML4JException,
                                           java.io.IOException,
                                           org.apache.xmlbeans.XmlException

  Throws:
    `OpenXML4JException`
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getAllEmbedds

    public java.util.List getAllEmbedds()
                                 throws OpenXML4JException

  Get the document's embedded files.

  Specified by:
    `getAllEmbedds` in class `POIXMLDocument`
  Throws:
    `OpenXML4JException`

### getAllPictures

    public java.util.List getAllPictures()

  Returns all Pictures, which are referenced from the document itself.

  Returns:
    a `List` of `PackagePart`. The returned `List` is unmodifiable.

### createSlide

    public XSLFSlide createSlide(XSLFSlideLayout layout)

  Create a slide and initialize it from the specified layout.

  Parameters:
    `layout` -
  Returns:
    created slide

### createSlide

    public XSLFSlide createSlide()

  Create a blank slide.

### getNotesMaster

    public XSLFNotesMaster getNotesMaster()

  Return the Notes Master, if there is one. (May not be present if no notes exist)

### getSlideMasters

    public XSLFSlideMaster[] getSlideMasters()

### getSlides

    public XSLFSlide[] getSlides()

  Return all the slides in the slideshow

### getCommentAuthors

    public XSLFCommentAuthors getCommentAuthors()

  Returns the list of comment authors, if there is one. Will only be present if at least one slide has comments on it.

### setSlideOrder

    public void setSlideOrder(XSLFSlide slide,
                              int newIndex)

  Parameters:
    `newIndex` - 0-based index of the slide

### removeSlide

    public XSLFSlide removeSlide(int index)

### getPageSize

    public java.awt.Dimension getPageSize()

  Returns the current page size

  Returns:
    the page size

### setPageSize

    public void setPageSize(java.awt.Dimension pgSize)

  Sets the page size to the given `Dimension` object.

  Parameters:
    `pgSize` - page size

### getCTPresentation

    public org.openxmlformats.schemas.presentationml.x2006.main.CTPresentation getCTPresentation()

### addPicture

    public int addPicture(byte[] pictureData,
                          int format)

  Adds a picture to the workbook.

  Parameters:
    `pictureData` - The bytes of the picture
    `format` - The format of the picture.
  Returns:
    the index to this picture (1 based).
  See Also:
    `XSLFPictureData.PICTURE_TYPE_EMF`, `XSLFPictureData.PICTURE_TYPE_WMF`, `XSLFPictureData.PICTURE_TYPE_PICT`, `XSLFPictureData.PICTURE_TYPE_JPEG`, `XSLFPictureData.PICTURE_TYPE_PNG`, `XSLFPictureData.PICTURE_TYPE_DIB`

### getTableStyles

    public XSLFTableStyles getTableStyles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD